Bug 41962 - Need mod_auth_ldap to authenticate with Active Directory domain credentials
Summary: Need mod_auth_ldap to authenticate with Active Directory domain credentials
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_auth_ldap (show other bugs)
Version: 2.0.59
Hardware: All All
: P5 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, MassUpdate
Depends on:
Blocks:
 
Reported: 2007-03-27 20:01 UTC by Peter Newman
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
adds Active Directory authentication_by_bind directives to module (4.90 KB, patch)
2007-03-27 20:08 UTC, Peter Newman
Details | Diff
adds support documentation for the AD authentication_by_bind directives (2.68 KB, patch)
2007-03-27 20:09 UTC, Peter Newman
Details | Diff
patch against attachment 19822 to close ldap connections (647 bytes, patch)
2007-04-11 01:40 UTC, Antti Nyk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Newman 2007-03-27 20:01:35 UTC
Active Directory allows for authentication to be done by "binding" to the AD
(LDAP) service with a user's domain account and password directly.  A successful
connection indicates that the user is authenticated.

So instead of using a DN:... you use account pnewman@domain.local and supply the
user password as the bind password.

I am forced to do this due to our directory being stuffed so filtering by uid
creates a large load (I don't have access to a real bind dn and bind passwd).

I have written a patch to be supplied shortly...
Comment 1 Peter Newman 2007-03-27 20:08:19 UTC
Created attachment 19822 [details]
adds Active Directory authentication_by_bind directives to module


this was tested by adding to the RHEL4 src rpm: httpd-2.0.52-28.ent as
Patch131: httpd-2.0.54-modauthldap_adauthbybind.patch
and rebuilding the RPM

testing was only for non ssl and no modauthldap authorisation directives were
tested (but should not be affected)

I have checked that this can also be patched against the 2.0 HEAD
Comment 2 Peter Newman 2007-03-27 20:09:46 UTC
Created attachment 19823 [details]
adds support documentation for the AD authentication_by_bind directives
Comment 3 Antti Nyk 2007-04-11 01:40:04 UTC
Created attachment 19928 [details]
patch against attachment 19822 [details] to close ldap connections

At least on httpd-2.0.52-22.ent.centos4 you need to make the following change
to avoid leaking open ldap connections (and possibly causing account lockdown
etc.)
Comment 4 Peter Newman 2007-04-15 19:11:41 UTC
Thanks - will incorporate into my already running server (elementary error!)
Comment 5 Eric Covener 2011-10-23 20:27:24 UTC
trunk has some more knobs in this area
Comment 6 William A. Rowe Jr. 2018-11-07 21:09:41 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.